/* Estilização do Contêiner do Carrinho de Compras */
.carrinho-de-compras {
  max-width: 800px;
  margin: 40px auto;
  padding: 20px;
  background-color: #f9f9f9;
  border: 1px solid #ddd;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/* Estilização do Cabeçalho do Carrinho */
.cabecalho-do-carrinho {
  background-color: #333;
  color: #fff;
  padding: 10px;
  text-align: center;
}

.cabecalho-do-carrinho h2 {
  margin: 0;
}

/* Estilização da Lista de Itens do Carrinho */
.itens-do-carrinho {
  list-style: none;
  padding: 0;
  margin: 0;
}

.itens-do-carrinho li {
  padding: 20px;
  border-bottom: 1px solid #ddd;
}

.itens-do-carrinho li:last-child {
  border-bottom: none;
}

/* Estilização da Informação do Item */
.informacao-do-item {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.informacao-do-item h3 {
  margin: 0;
}

.informacao-do-item p {
  margin: 0;
}

/* Estilização do Botão Remover */
.remover-item {
  background-color: #ff0000;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

.remover-item:hover {
  background-color: #cc0000;
}

/* Estilização do Rodapé do Carrinho */
.rodape-do-carrinho {
  background-color: #333;
  color: #fff;
  padding: 10px;
  text-align: center;
}

.rodape-do-carrinho p {
  margin: 0;
}

/* Estilização do Botão Finalizar Compra */
.finalizar-compra {
  background-color: #4CAF50;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

.finalizar-compra:hover {
  background-color: #3e8e41;
}
.button-container {
  display: flex;
  justify-content: left;
  margin: 20px;
}

.button-3d {
  -webkit-appearance: none;
  appearance: none;
  position: relative;
  border-width: 0;
  padding: 0 8px;
  min-width: 4em;
  min-height: 4em;
  box-sizing: border-box;
  background: transparent;
  font: inherit;
  cursor: pointer;
  margin: 10px;
  border-radius: 20px;
}

.button-top {
  display: flex;
  align-items: center;
  justify-content: left;
  position: relative;
  z-index: 2;
  padding: 8px 16px;
  transform: translateY(0);
  color: #fff;
  background-image: linear-gradient(145deg, #03A47D, #03A47D);
  text-shadow: 0 -1px rgba(0, 0, 0, 0.25);
  border-radius: 20px;
  transition: transform 0.3s, border-radius 0.3s, background 10s;
}

.button-3d:active .button-top {
  border-radius: 10px 10px 8px 8px / 8px;
  transform: translateY(2px);
  background-image: linear-gradient(145deg, #2575fc, #03A47D);
}

.button-bottom {
  position: absolute;
  z-index: 1;
  bottom: 4px;
  left: 4px;
  border-radius: 20px;
  padding-top: 6px;
  width: calc(100% - 8px);
  height: calc(100% - 10px);
  background-image: linear-gradient(145deg, #03A47D, #03A47D);
  box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.5);
  transition: border-radius 0.2s, padding-top 0.2s;
}

.button-base {
  position: absolute;
  z-index: 0;
  top: 4px;
  left: 0;
  border-radius: 20px;
  width: 100%;
  height: calc(100% - 4px);
  background-color: rgba(0, 0, 0, 0.15);
  box-shadow: 0 1px 1px 0 rgba(255, 255, 255, 0.75),
    inset 0 2px 2px rgba(0, 0, 0, 0.25);
  transition: border-radius 0.2s, padding-top 0.2s;
}

.button-3d:active .button-bottom {
  border-radius: 10px 10px 8px 8px / 8px;
  padding-top: 0;
}

.button-3d:active .button-base {
  border-radius: 10px 10px 8px 8px / 8px;
}
